#### PyKDE - Python Bindings for KDE

# class KABC.LdapSearch |
Table of contents
Modules
kabc Classes
All Classes

Module | kabc
Class | KABC.LdapSearch
Inherits | QObject

### methods

- LdapSearch ()

  returns a LdapSearch instance
  In versions KDE 3.1.0 and above only

- cancelSearch ()

  returns nothing
  In versions KDE 3.1.0 and above only

- isAvailable ()

  returns (bool)
  In versions KDE 3.1.0 and above only

- searchData (a0)

  returns nothing
  In versions KDE 3.1.0 and above only
  Argument | Type | Default
  --- | --- | ---
  a0 | QStringList |

- searchData (a0)

  returns nothing
  In versions KDE 3.3.0 and above only
  Argument | Type | Default
  --- | --- | ---
  a0 | KABC.LdapResultList |

- searchDone ()

  returns nothing
  In versions KDE 3.1.0 and above only

- startSearch (txt)

  returns nothing
  In versions KDE 3.1.0 and above only
  Argument | Type | Default
  --- | --- | ---
  txt | QString |